Page 1 of 1

Can't locate Time/HiRes.pm in @INC

Posted: Wed Jul 20, 2011 9:49 am
by wrf_model
Dears,

I have installed WRF/EMS at CentOS 64-bit. When i try run model i have this message:

gempak@CentOS-60-64-minimal-> ems_domain.pl --locdom domain Can't locate Time/HiRes.pm in @INC (@INC contains: /home/gempak/wrfems/strc/ems_util /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /home/gempak/wrfems/strc/ems_util/ems_utils.pm line 1401.
BEGIN failed--compilation aborted at /home/gempak/wrfems/strc/ems_util/ems_utils.pm line 1401.
Compilation failed in require at ems_domain.pl line 169.
BEGIN failed--compilation aborted at ems_domain.pl line 169.

What i do for it?

Thank you for your help and for your time!

Re: Help

Posted: Wed Jul 20, 2011 10:16 am
by meteoadriatic
Hello,

again same sort of problems... I don't know why this happens. Did you maybe used v3.2 installer script to install v3.1 or vice-versa? However, try to follow these topics:

viewtopic.php?f=4&t=189 and
viewtopic.php?f=4&t=181

I know, not exactly same errors but I think the cause (and resolve) can be the same. If it doesn't help you, report back and we will try step-by-step.

Re: Help

Posted: Wed Jul 20, 2011 3:00 pm
by wrf_model
meteoadriatic wrote:Hello,

again same sort of problems... I don't know why this happens. Did you maybe used v3.2 installer script to install v3.1 or vice-versa? However, try to follow these topics:

viewtopic.php?f=4&t=189 and
viewtopic.php?f=4&t=181

I know, not exactly same errors but I think the cause (and resolve) can be the same. If it doesn't help you, report back and we will try step-by-step.
Thank you very much for your answer!

I try

/home/gempak/.cshrc

and i have Permission denied. Is it problem?

Thank you again!

Re: Help

Posted: Wed Jul 20, 2011 5:28 pm
by wrf_model
wrf_model wrote:
meteoadriatic wrote:Hello,

again same sort of problems... I don't know why this happens. Did you maybe used v3.2 installer script to install v3.1 or vice-versa? However, try to follow these topics:

viewtopic.php?f=4&t=189 and
viewtopic.php?f=4&t=181

I know, not exactly same errors but I think the cause (and resolve) can be the same. If it doesn't help you, report back and we will try step-by-step.
Thank you very much for your answer!

I try

/home/gempak/.cshrc

and i have Permission denied. Is it problem?

Thank you again!
I am ok with my problem!

For it i do:

yum install perl-Time-HiRes

and the problem was solved :-)

Thank you very very much for your time!